fails during the installation of vasp 6.1.0 with GPU

questions related to VASP with GPU support (vasp.5.4.1, version released in Feb 2016)

Moderators: Global Moderator, Moderator

Post Reply
Message
Author
amontero
Newbie
Newbie
Posts: 1
Joined: Mon Nov 11, 2019 5:39 pm

fails during the installation of vasp 6.1.0 with GPU

#1 Post by amontero » Mon Sep 14, 2020 3:21 pm

Dear VASP developers,

During the installation of VASP 6.1.0 with GPU in an Ubuntu 20.04 workstation, we got the following error:

"make[2]: se entra en el directorio '/root/Soft/vasp.6.1.0/vasp.6.1.0/build/gpu'
mpif90 -fopenmp -ffree-form -ffree-line-length-none -w -march=native -O2 -I/opt/fftw-3.3.8/include -c xclib_grad_gpu.f90
xclib_grad_gpu.f90:3914:0:

3914 | nv_profile_start(NVP_GGAALLGRID)
|
Error: Unclassifiable statement at (1)
make[2]: * [makefile:169: xclib_grad_gpu.o] Error 1
make[2]: se sale del directorio '/root/Soft/vasp.6.1.0/vasp.6.1.0/build/gpu'
cp: no se puede efectuar `stat' sobre 'vasp': No existe el archivo o el directorio
"
##the operating system is in spanish, hopefully it is understood.

We are using gcc: 9.3.0 - openmpi:3.1.6 cuda: 11.0 nvidia-drivers: 450.51.06 scalepack: scalapack-2.1.0, but the error persist when we use intelmkl. However, we have not problems while install vasp 5.4.4 with GPU.

Could you help us with this problem?
Thanks in advance,

Ana Montero

merzuk.kaltak
Administrator
Administrator
Posts: 123
Joined: Mon Sep 24, 2018 9:39 am

Re: fails during the installation of vasp 6.1.0 with GPU

#2 Post by merzuk.kaltak » Tue Sep 15, 2020 12:49 pm

Please upload your makefile.include file.

Post Reply